# Report a Post reply

## Report existing post reply

<mark style="color:green;">`POST`</mark> `https://api.whisk.com/v2/posts/replies/{reply_id}/report`

Method allows usser to report specific post reply. Reply could be reported by `reply_id`. Reported reply will be hidden from all pages. Report will be submitted to Whisk moderators team and could be accepted or rejected. If moderators team decide that reply is not harmful they'll accept it and it will apper everywhere automatically. If they'll reject it - reply will be deleted forever.

#### Query Parameters

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| reply\_id<mark style="color:red;">\*</mark> | String | Reply id to report |

#### Headers

| Name                                            | Type   | Description                                                                            |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Access token to authorize the API usage. For more information, see Authentication |

#### Request Body

| Name                                           | Type   | Description                                                                                                                                                           |
| ---------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| report\_info<mark style="color:red;">\*</mark> | Object | An object for report info                                                                                                                                             |
| reason<mark style="color:red;">\*</mark>       | Enum   | <p>Reason for report, predefined. </p><p>REPORT\_REASON\_INVALID;</p><p>REPORT\_REASON\_SPAM;</p><p>REPORT\_REASON\_NSFW;</p><p>REPORT\_REASON\_IP\_INFRINGEMENT;</p> |
| email<mark style="color:red;">\*</mark>        | String | Reporter's email. So for moderators team it would be possible to contact him if needed                                                                                |
| comment                                        | String | Comment submitted by reporter                                                                                                                                         |

{% tabs %}
{% tab title="200: OK Successful response" %}

```json
{}
```

{% endtab %}

{% tab title="401: Unauthorized This failed response appears due to API authentication failure. The possible error codes that may appear are: auth.tokenNotFound, auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```
{
  "code": "auth.tokenNotFound"
}
```

{% endtab %}

{% tab title="500: Internal Server Error This failed response appears when something is not right on Whisk's end. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon." %}

```
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

{% endtab %}
{% endtabs %}

### Request body

```json
{
  "report_info": {
    "reason": "REPORT_REASON_INVALID",
    "email": "string",
    "comment": "string"
  }
}
```

### Sample request and response

{% tabs %}
{% tab title="Request" %}
curl -X POST "<https://api.b2c.whisk-dev.com/v2/posts/replies/dc626e43fc85464faa5a79ab022cc0c1/report>" -H "accept: application/json" -H "Authorization: Bearer " -H "Content-Type: application/json" -d "{ "report\_info": { "reason": "REPORT\_REASON\_IP\_INFRINGEMENT", "email": "<julia.shebeko@whisk.com>", "comment": "test" }}"
{% endtab %}

{% tab title="Response" %}
{}
{% endtab %}
{% endtabs %}
